Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt
Class ColorSpaceHintKey

    java.lang.Object
      java.awt.RenderingHints.Key
          org.apache.batik.ext.awt.ColorSpaceHintKey

    public final class ColorSpaceHintKey

extends RenderingHints.Key

TranscodingHint as to what the destination of the drawing is.

Field Summary
`static String` | `PROPERTY_COLORSPACE`
`static Object` | `VALUE_COLORSPACE_AGREY` Notice to source that we only want Greyscale data with an alpha channel.
`static Object` | `VALUE_COLORSPACE_ALPHA` Notice to source that we only want an alpha channel.
`static Object` | `VALUE_COLORSPACE_ALPHA_CONVERT` Notice to source that we only want an alpha channel.
`static Object` | `VALUE_COLORSPACE_ARGB` Notice to source that we prefer an Alpha RGB Image.
`static Object` | `VALUE_COLORSPACE_GREY` Notice to source that we only want Greyscale data (no Alpha).
`static Object` | `VALUE_COLORSPACE_RGB` Notice to source that we will not use Alpha Channel but we still want RGB data.

Method Summary
`boolean` | `isCompatibleValue(Object val)`

Methods inherited from class java.awt.RenderingHints.Key
`equals, hashCode, intKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_COLORSPACE_ARGB

    public static Object VALUE_COLORSPACE_ARGB

  Notice to source that we prefer an Alpha RGB Image.

### VALUE_COLORSPACE_RGB

    public static Object VALUE_COLORSPACE_RGB

  Notice to source that we will not use Alpha Channel but we still want RGB data.

### VALUE_COLORSPACE_GREY

    public static Object VALUE_COLORSPACE_GREY

  Notice to source that we only want Greyscale data (no Alpha).

### VALUE_COLORSPACE_AGREY

    public static Object VALUE_COLORSPACE_AGREY

  Notice to source that we only want Greyscale data with an alpha channel.

### VALUE_COLORSPACE_ALPHA

    public static Object VALUE_COLORSPACE_ALPHA

  Notice to source that we only want an alpha channel. The source should simply render alpha (no conversion)

### VALUE_COLORSPACE_ALPHA_CONVERT

    public static Object VALUE_COLORSPACE_ALPHA_CONVERT

  Notice to source that we only want an alpha channel. The source should follow the SVG spec for how to convert ARGB, RGB, Grey and AGrey to just an Alpha channel.

### PROPERTY_COLORSPACE

    public static final String PROPERTY_COLORSPACE

See Also:
  Constant Field Values

Method Detail

### isCompatibleValue

    public boolean isCompatibleValue(Object val)

  Specified by:
    `isCompatibleValue` in class `RenderingHints.Key`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.